#pragma once

#include <Core/DifficultLvlStrategy.h>

#include <memory>
#include <string>

class Ship;

class Enemy {
public:
    Enemy(const std::string& name, std::unique_ptr<Ship>&& ship);

    void attack(Ship& playerShip);

private:
    std::string _name;
    std::unique_ptr<Ship> _ship;
};
